{
  "name": "showcase-ngx-admin-lte",
  "version": "0.0.0",
  "scripts": {
    "ng": "ng",
    "build": "ng build",
    "test": "ng test",
    "lint": "ng lint",
    "e2e": "ng e2e",
    "build:ngx-admin-lte": "ng build -c production ngx-admin-lte",
    "publish:ngx-admin-lte": "npm run build:ngx-admin-lte && npm publish --access=public",
    "dev:publish:ngx-admin-lte": "npm link @perolasoft/ngrx-template && npm run build:ngx-admin-lte && cd dist/ngx-admin-lte && npm link",
    "serve:api": "node server.js",
    "serve:web": "npm link @perolasoft/ngrx-template && ng serve --proxy-config proxy.conf.json",
    "start": "npm-run-all -p serve:api serve:web"
  },
  "dependencies": {
    "@angular/animations": "^17.0.6",
    "@angular/common": "^17.0.6",
    "@angular/compiler": "^17.0.6",
    "@angular/core": "^17.0.6",
    "@angular/forms": "^17.0.6",
    "@angular/platform-browser": "^17.0.6",
    "@angular/platform-browser-dynamic": "^17.0.6",
    "@angular/router": "^17.0.6",
    "@fortawesome/fontawesome-free": "^6.5.1",
    "@ngrx/effects": "^17.0.1",
    "@ngrx/router-store": "^17.0.1",
    "@ngrx/schematics": "^17.0.1",
    "@ngrx/store": "^17.0.1",
    "@ngrx/store-devtools": "^17.0.1",
    "@perolasoft/ngrx-template": "^0.0.8",
    "admin-lte": "^3.2.0",
    "gravatar": "^1.8.1",
    "icheck-bootstrap": "^3.0.1",
    "jquery-slimscroll": "^1.3.8",
    "jwt-decode": "^4.0.0",
    "ngx-bootstrap": "^12.0.0",
    "rxjs": "^7.8.1",
    "select2": "^4.0.13",
    "tslib": "^2.3.1",
    "uuid": "^9.0.1",
    "zone.js": "~0.14.2"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "^17.0.6",
    "@angular/cli": "^17.0.6",
    "@angular/compiler-cli": "^17.0.6",
    "@angular/language-service": "^17.0.6",
    "@types/jasmine": "^5.1.4",
    "@types/jasminewd2": "^2.0.13",
    "@types/node": "^20.10.4",
    "codelyzer": "^6.0.0",
    "jasmine-core": "^5.1.1",
    "jasmine-spec-reporter": "^7.0.0",
    "json-server": "^0.17.4",
    "json-server-auth": "^2.0.2",
    "karma": "^6.4.2",
    "karma-chrome-launcher": "^3.2.0",
    "karma-coverage-istanbul-reporter": "~3.0.2",
    "karma-jasmine": "^5.1.0",
    "karma-jasmine-html-reporter": "^2.1.0",
    "ng-packagr": "^17.0.2",
    "nodemon": "^3.0.2",
    "npm-run-all": "^4.1.5",
    "protractor": "~7.0.0",
    "ts-node": "^10.9.2",
    "tslint": "~6.1.0",
    "typescript": "^5.2.2"
  }
}
